
Figure - Bug #118508
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】106版本（602版）Monkey测试60小时后异常停止（4+27个APK）
2023-06-05 11:02 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-05

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 稳定性 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106（602版）

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause: 与 #118327 一样

Description

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --pct-syskeys 0 -v -v -v

42000000 >/sdcard/monkey.log 2>&1

【测试结果】

monkey异常停止，设备进入屏保

History

#1 - 2023-06-05 11:04 - CD TEST-方永红

- Severity changed from Normal to Critical

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118508

#2 - 2023-06-05 11:44 - CDTS_TEST 王成

- Parent task set to #113422

#3 - 2023-06-05 20:08 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118327 一样

Hi 永红

这个问题与 #118327 是同件问题，我们将在 #118327 中跟踪分析

-----------------

06-05 10:19:57.698 18002 18002 F DEBUG   : * 

06-05 10:19:57.698 18002 18002 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3775:user/test-keys'

06-05 10:19:57.698 18002 18002 F DEBUG   : Revision: '0'
06-05 10:19:57.698 18002 18002 F DEBUG   : ABI: 'arm64'

06-05 10:19:57.698 18002 18002 F DEBUG   : Timestamp: 2023-06-05 10:19:57.258839417+0800

06-05 10:19:57.698 18002 18002 F DEBUG   : Process uptime: 230260s

06-05 10:19:57.698 18002 18002 F DEBUG   : Cmdline: /system/bin/surfaceflinger

06-05 10:19:57.698 18002 18002 F DEBUG   : pid: 998, tid: 1079, name: Binder:998_2  >>> /system/bin/surfaceflinger <<<

06-05 10:19:57.698 18002 18002 F DEBUG   : uid: 1000

06-05 10:19:57.698 18002 18002 F DEBUG   : signal 6 (SIGABRT), code 1 (SI_QUEUE), fault addr -------

06-05 10:19:57.698 18002 18002 F DEBUG   : Abort message: 'Scudo ERROR: invalid chunk state when deallocating address 0x2000076030fa2e0

06-05 10:19:57.698 18002 18002 F DEBUG   : '

06-05 10:19:57.698 18002 18002 F DEBUG   :     x0  0000000000000000  x1  0000000000000437  x2  0000000000000006  x3  00000075a0a03ba0

06-05 10:19:57.698 18002 18002 F DEBUG   :     x4  0000000000808080  x5  0000000000808080  x6  0000000000808080  x7  8080800000000000

06-05 10:19:57.698 18002 18002 F DEBUG   :     x8  00000000000000f0  x9  4cfd67fd329d135a  x10 0000000000000000  x11 ffffff80ffffffdf

06-05 10:19:57.698 18002 18002 F DEBUG   :     x12 0000000000000001  x13 00000405611acc95  x14 0007a11ff66a1800  x15 0000000000000070

06-05 10:19:57.698 18002 18002 F DEBUG   :     x16 00000078b982c060  x17 00000078b9808560  x18 000000759fc54000  x19 00000000000003e6

06-05 10:19:57.698 18002 18002 F DEBUG   :     x20 0000000000000437  x21 00000000ffffffff  x22 0000000000000000  x23 b400007602e1be40

06-05 10:19:57.698 18002 18002 F DEBUG   :     x24 000000759f8f9000  x25 00000075a0a03e38  x26 00000075a0a04270  x27 00000075a0a041d8

06-05 10:19:57.698 18002 18002 F DEBUG   :     x28 00000075a0a03ff0  x29 00000075a0a03c20

06-05 10:19:57.698 18002 18002 F DEBUG   :     lr  00000078b97b895c  sp  00000075a0a03b80  pc  00000078b97b8988  pst 0000000000001000

06-05 10:19:57.698 18002 18002 F DEBUG   : backtrace:

06-05 10:19:57.698 18002 18002 F DEBUG   :       #00 pc 0000000000051988  /apex/com.android.runtime/lib64/bionic/libc.so (abort+168) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #01 pc 000000000004165c  /apex/com.android.runtime/lib64/bionic/libc.so (scudo::die()+12) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #02 pc 0000000000041d74  /apex/com.android.runtime/lib64/bionic/libc.so

(scudo::ScopedErrorReport::~ScopedErrorReport()+36) (BuildId: 369edc656806aeaf384cbeb8f7a347af)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #03 pc 0000000000041fc8  /apex/com.android.runtime/lib64/bionic/libc.so

(scudo::reportInvalidChunkState(scudo::AllocatorAction, void)+80) (BuildId: 369edc656806aeaf384cbeb8f7a347af)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #04 pc 0000000000043664  /apex/com.android.runtime/lib64/bionic/libc.so (scudo::Allocator<scudo::AndroidConfig,

&(scudo_malloc_postinit)>::deallocate(void*, scudo::Chunk::Origin, unsigned long, unsigned long)+316) (BuildId: 369edc656806aeaf384cbeb8f7a347af)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #05 pc 000000000000aaf4  /system_ext/lib64/libdolphin.so (android::updateLayerListLocked(std::__1::basic_string<char,

std::__1::char_traits<char>, std::__1::allocator<char> > const&, bool) (.cfi)+372) (BuildId: a2bd01334f3682675a19bcb37cfc7c99)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #06 pc 000000000000b3e4  /system_ext/lib64/libdolphin.so (dolphinTrackBufferIncrement.cfi+436) (BuildId:

a2bd01334f3682675a19bcb37cfc7c99)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #07 pc 00000000001c0bc0  /system/bin/surfaceflinger (ZNSt3

_110__function6__funcIZN7android14SurfaceFlinger19setTransactionStateERKNS2_17FrameTimelineInfoERKNS2_6VectorINS2_13ComposerStateEEERKNS7_INS2_

12DisplayStateEEEjRKNS2_2spINS2_7IBinderEEERKNS2_19InputWindowCommandsElbRKNS2_14client_cache_tEbRKNS_6vectorINS2_17ListenerCallbacksENS_9al

locatorISS_EEEEmE4$_65NST_ISY_EEFvRKNS2_13layer_state_tEEEclES12_$8fd14edc326db0e9be510f46fb0c4dd5+688) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #08 pc 00000000001a0e40  /system/bin/surfaceflinger

(android::SurfaceFlinger::setTransactionState(android::FrameTimelineInfo const&, android::Vector<android::ComposerState> const&,

android::Vector<android::DisplayState> const&, unsigned int, android::sp<android::IBinder> const&, android::InputWindowCommands const&, long, bool,

android::client_cache_t const&, bool, std::__1::vector<android::ListenerCallbacks, std::__1::allocator<android::ListenerCallbacks> > const&, unsigned long)+1724)

(BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #09 pc 00000000000c44d8  /system/lib64/libgui.so (android::BnSurfaceComposer::onTransact(unsigned int,

android::Parcel const&, android::Parcel*, unsigned int)+13700) (BuildId: 448b4199bacacf9417cd93df4f7390f5)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #10 pc 00000000001aa5c8  /system/bin/surfaceflinger (android::SurfaceFlinger::onTransact(unsigned int, android::Parcel

const&, android::Parcel*, unsigned int)+852) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #11 pc 0000000000049880  /system/lib64/libbinder.so (android::BBinder::transact(unsigned int, android::Parcel const&,

android::Parcel*, unsigned int)+252) (BuildId: 07bc4d4147790b1e0ac44f7625168f4a)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #12 pc 00000000000538cc  /system/lib64/libbinder.so (android::IPCThreadState::executeCommand(int)+1048) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #13 pc 00000000000533e8  /system/lib64/libbinder.so (android::IPCThreadState::getAndExecuteCommand()+164)

(BuildId: 07bc4d4147790b1e0ac44f7625168f4a)
06-05 10:19:57.698 18002 18002 F DEBUG   :       #14 pc 0000000000053c98  /system/lib64/libbinder.so (android::IPCThreadState::joinThreadPool(bool)+72) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #15 pc 0000000000080484  /system/lib64/libbinder.so (android::PoolThread::threadLoop()+28) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #16 pc 000000000001358c  /system/lib64/libutils.so (android::Thread::_threadLoop(void*)+264) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #17 pc 0000000000012de8  /system/lib64/libutils.so (thread_data_t::trampoline(thread_data_t const*)+408) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #18 pc 00000000000b6a24  /apex/com.android.runtime/lib64/bionic/libc.so (_pthread_start(void*)+264) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

06-05 10:19:57.698 18002 18002 F DEBUG   :       #19 pc 00000000000532bc  /apex/com.android.runtime/lib64/bionic/libc.so (_start_thread+68) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

-----------------

#4 - 2023-06-06 09:42 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-06 09:42 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
